Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class UpdateOccupantRequest

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.MUCRoomTask
          org.jivesoftware.openfire.muc.cluster.UpdateOccupantRequest

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class UpdateOccupantRequest

extends MUCRoomTask

Task that requests the cluster node hosting a room occupant to change his role and/or affiliation. If the occupant was not found or the change is not allowed then a `null` value is returned. Otherwise the DOM object representing the new presence of the room occupant is returned.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`UpdateOccupantRequest()`
`UpdateOccupantRequest(LocalMUCRoom room, String nickname, MUCRole.Affiliation newAffiliation, MUCRole.Role newRole)`

Method Summary
`MUCRole.Affiliation` | `getAffiliation()`
`String` | `getNickname()`
`Object` | `getResult()`
`MUCRole.Role` | `getRole()`
`boolean` | `isAffiliationChanged()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jivesoftware.openfire.muc.cluster.MUCRoomTask
`execute, getRoom, isOriginator, setOriginator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateOccupantRequest

    public UpdateOccupantRequest()

### UpdateOccupantRequest

    public UpdateOccupantRequest(LocalMUCRoom room,
                                 String nickname,
                                 MUCRole.Affiliation newAffiliation,
                                 MUCRole.Role newRole)

Method Detail

### getNickname

    public String getNickname()

### getRole

    public MUCRole.Role getRole()

### getAffiliation

    public MUCRole.Affiliation getAffiliation()

### isAffiliationChanged

    public boolean isAffiliationChanged()

### getResult

    public Object getResult()

### run

    public void run()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `MUCRoomTask`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `MUCRoomTask`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.